Package com.io7m.waxmill.machines

# Enum WXMBootConfigurationType.Kind

java.lang.Object
java.lang.Enum<WXMBootConfigurationType.Kind>
com.io7m.waxmill.machines.WXMBootConfigurationType.Kind

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMBootConfigurationType.Kind>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMBootConfigurationType

    public static enum WXMBootConfigurationType.Kind
    extends java.lang.Enum<WXMBootConfigurationType.Kind>

The kind of boot configurations.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `GRUB_BHYVE` | The boot configuration uses grub-bhyve.
  `UEFI` | The boot configuration uses UEFI.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMBootConfigurationType.Kind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMBootConfigurationType.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRUB_BHYVE

    public static final WXMBootConfigurationType.Kind GRUB_BHYVE
    The boot configuration uses grub-bhyve.

  - ### UEFI

    public static final WXMBootConfigurationType.Kind UEFI
    The boot configuration uses UEFI.

- ## Method Details

  - ### values

    public static WXMBootConfigurationType.Kind[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMBootConfigurationType.Kind valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null